Name:             crossvc
Version:          1.5.2
Release:          7%{?dist}

Summary:          Graphical CVS Client

Group:            Development/Tools
License:          GPLv2
URL:              http://www.lincvs.org
Source0:          http://lincvs.com/download/crossvc-%{version}-0-generic-src.tgz
Source1:          crossvc.desktop
Patch1:		  crossvc-1.5.2-nocreate.patch

BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    cvs >= 0:1.9.0
BuildRequires:    qt3-devel
BuildRequires:    desktop-file-utils
Requires:         cvs >= 0:1.9.0
Requires:	  qt3 >= 3.3.8-6

Provides:         lincvs = %{version}-%{release}
Obsoletes:        lincvs < 1.5.0

%description
CrossVC is a graphical Interface for the cvs client commandline tool 
on the Unix and Windows platform. It allows ato load modules from a 
server (checkout), create modules on the server (import), as well as 
checking the state of directories and individual files or 
updating them. Basic operations like add, remove and commit are 
supported as matter of course, just like showing the actual differences 
between the server version and the local sandbox, graphical display of 
the version tree, and manifoldy graphical support of project maintenance. 
All actions are logged on the cvs server (configurable via history), 
and are therewith comprehensible.

To keep CrossVC independent of the cvs version, CrossVC uses the local 
but separat installed cvs and therewith always should work with the 
latest version.


%prep
%setup -q -n CrossVC
%patch1 -p1 -b .nocreate

cat <<'EOF' >lincvs.sh
#!/bin/sh
exec %{_libdir}/CrossVC/AppRun $@
EOF

%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
qmake -o Makefile lincvs.pro
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
%makeinstall
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps

cp -Rpa CrossVC ${RPM_BUILD_ROOT}%{_libdir}
cp -p CrossVC/AppIcon.xpm ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/crossvc.xpm

install -p -D -m0755 lincvs.sh ${RPM_BUILD_ROOT}%{_bindir}/crossvc

desktop-file-install --vendor fedora                \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications   \
  --add-category X-Fedora-Extra	                    \
  %{SOURCE1}


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS doc/README THANKS doc/SSH-HOWTO.txt doc/PROXY-HOWTO.txt doc/FAQ.txt
%attr(755,root,root) %{_bindir}/crossvc
%{_libdir}/CrossVC
%{_datadir}/pixmaps/crossvc.xpm
%{_datadir}/applications/fedora-crossvc.desktop


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar  2 2009 Jochen Schmitt <Jochen herr-schmitt de> 1.5.2-6
- Change categories in the desktop file (BZ #487862)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Apr 02 2008 Rex Dieter <rdieter@fedoraproject.org> 1.5.2-4
- s/qt/qt3/

* Sun Feb 10 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.5.2-3
- Rebuild for gcc-4.3

* Wed Jan 23 2008 Jochen Schmitt <Jochen herr-schmitt de> 1.5.2-2
- Rebuild

* Sun Sep 16 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.5.2-1
- New upstream release

* Sun Sep  9 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.5.1-7
- Downgrade to last stable release
- Add Req to qt-3.3.8-6 (#246024)

* Wed Aug  8 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.5.2-0.2
- Changing license tag

* Mon Jul  9 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.5.2-0.1
- Prerelease of CrossVC-1.5.2 (Fix #246024)

* Thu Jun 28 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.5.1-3
- Disable 'Create Dir' Checkbox in ImportDialog

* Wed Feb 28 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.5.1-2
- Rebuild becouse build error

* Mon Feb 26 2007 Jochen Schmitt <Jochen herr-schmitt de> 1.5.1-1
- New upstream release

* Wed Oct 11 2006 Jochen Schmitt <Jochen herr-schmitt de> 1.5.0-4
- Fix startup script (#210309)

* Mon Oct  9 2006 Jochen Schmitt <Jochen herr-schmitt de> 1.5.0-3
- Add Provides and Obsolete tag (#209917)

* Wed Sep 27 2006 Jochen Schmitt <Jochen herr-schmitt de> 1.5.0-1
- New upstream release

* Tue Feb 14 2006 Jochen Schmitt <Jochen herr-schmitt de> 1.4.4-1
- Update to 1.4.4

* Wed May 25 2005 Jeremy Katz <katzj@redhat.com> - 1.4.1-1
- update to 1.4.1
- BR desktop-file-utils (#156234)

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.4.0-0.3.rc2
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Feb 25 2005 Phillip Compton <pcompton[AT]proteinmedia.com> - 1.4.0-0.1.rc2
- Fix for x86_64.

* Sat Feb 12 2005 Phillip Compton <pcompton[AT]proteinmedia.com> - 1.4.0-0.rc2
- 1.4.0-rc2.

* Sat Apr 05 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.1.5-0.fdr.4
- Added XFree86-devel to BuildRequires.
- Changed group to Development/Tools.
- Changed desktop category to Developement.

* Wed Apr 02 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1.1.5-0.fdr.3
- Spec rebuilt after willy-nilly deletion of old one.
